Last Comment Bug 830573 - Error: TypeError: source is not an object
: Error: TypeError: source is not an object
Status: RESOLVED FIXED
:
Product: Add-on SDK
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- major (vote)
: ---
Assigned To: Eddy Bruel [:ejpbruel]
:
Mentors:
https://tbpl.mozilla.org/?noignore=1&...
Depends on: 830967
Blocks: 827490
  Show dependency treegraph
 
Reported: 2013-01-14 16:41 PST by Wes Kocher (:KWierso)
Modified: 2013-01-17 11:24 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Wes Kocher (:KWierso) 2013-01-14 16:41:24 PST
Error: TypeError: source is not an object 
 Traceback (most recent call last):
  File "resource://45f76ba0-7966-4693-bce9-dc83e9769e07-at-jetpack/addon-sdk/tests/test-heritage.js", line 308, in 
    initialize: function initialize(color) {
  File "resource://45f76ba0-7966-4693-bce9-dc83e9769e07-at-jetpack/addon-sdk/lib/sdk/core/heritage.js", line 154, in Class
    var prototype = extend(descriptor.extends, mix.apply(mix, descriptors));
  File "resource://45f76ba0-7966-4693-bce9-dc83e9769e07-at-jetpack/addon-sdk/lib/sdk/core/heritage.js", line 90, in 
    }, {});
  File "resource://45f76ba0-7966-4693-bce9-dc83e9769e07-at-jetpack/addon-sdk/lib/sdk/core/heritage.js", line 86, in 
    return reduce(getNames(source), function(descriptor, name) {


This showed up in the merge from inbound to central last Friday, causing most tests to not run at all.
Comment 1 Wes Kocher (:KWierso) 2013-01-14 16:54:03 PST
First instance of this on inbound was when bug 827490 landed on Thursday.
Comment 2 Wes Kocher (:KWierso) 2013-01-15 17:33:19 PST
Looks like bug 830967 fixed this for us. Tests are running again on inbound with it landed.
Comment 3 Eddy Bruel [:ejpbruel] 2013-01-15 17:34:10 PST
(In reply to Wes Kocher (:KWierso) from comment #2)
> Looks like bug 830967 fixed this for us. Tests are running again on inbound
> with it landed.

Aw man, this looked like a fun bug :-)

Note You need to log in before you can comment on or make changes to this bug.